# fn:substring

fn:substring(string? $sourceString, double $startingLoc) → string?

Function signature

$sourceString | xs:string ?
$startingLoc | xs:double
Result | xs:string ?

Returns a substring of a given string starting at the given starting position and continuing to the end of the string

XPath 2.0 Specification

fn:substring(string? $sourceString, double $startingLoc, double $length) → string?

Function signature

$sourceString | xs:string ?
$startingLoc | xs:double
$length | xs:double
Result | xs:string ?

Returns a subtring of a given string, starting at a given position and continuing up to a given length

XPath 2.0 Specification

Expand | Up Next